## percona-server-mongodb 4.0.18

=== SConstruct ===
# -*- mode: python; -*-
import atexit
import copy
import datetime
import errno
import json
import os
import re
import shlex
import shutil
import stat
import subprocess
import sys
import textwrap
import uuid
import multiprocessing

import SCons

# This must be first, even before EnsureSConsVersion, if
# we are to avoid bulk loading all tools in the DefaultEnvironment.
DefaultEnvironment(tools=[])

# These come from site_scons/mongo. Import these things
# after calling DefaultEnvironment, for the sake of paranoia.
import mongo
import mongo.platform as mongo_platform
import mongo.toolchain as mongo_toolchain
import mongo.generators as mongo_generators

EnsurePythonVersion(2, 7)
EnsureSConsVersion(2, 5)

from buildscripts import utils
from buildscripts import moduleconfig

import libdeps

atexit.register(mongo.print_build_failures)

def add_option(name, **kwargs):

    if 'dest' not in kwargs:
        kwargs['dest'] = name

    if 'metavar' not in kwargs and kwargs.get('type', None) == 'choice':
        kwargs['metavar'] = '[' + '|'.join(kwargs['choices']) + ']'

    AddOption('--' + name, **kwargs)

def get_option(name):
    return GetOption(name)

def has_option(name):
    optval = GetOption(name)
    # Options with nargs=0 are true when their value is the empty tuple. Otherwise,
    # if the value is falsish (empty string, None, etc.), coerce to False.
    return True if optval == () else bool(optval)

def use_system_version_of_library(name):
    return has_option('use-system-all') or has_option('use-system-' + name)

# Returns true if we have been configured to use a system version of any C++ library. If you
# add a new C++ library dependency that may be shimmed out to the system, add it to the below
# list.
def using_system_version_of_cxx_libraries():
    cxx_library_names = ["tcmalloc", "boost"]
    return True in [use_system_version_of_library(x) for x in cxx_library_names]

def make_variant_dir_generator():
    memoized_variant_dir = [False]
    def generate_variant_dir(target, source, env, for_signature):
        if not memoized_variant_dir[0]:
            memoized_variant_dir[0] = env.subst('$BUILD_ROOT/$VARIANT_DIR')
        return memoized_variant_dir[0]
    return generate_variant_dir


# Always randomize the build order to shake out missing edges, and to help the cache:
# http://scons.org/doc/production/HTML/scons-user/ch24s06.html
SetOption('random', 1)

# Options TODOs:
#
# - We should either alphabetize the entire list of options, or split them into logical groups
#   with clear boundaries, and then alphabetize the groups. There is no way in SCons though to
#   inform it of options groups.
#
# - Many of these options are currently only either present or absent. This is not good for
#   scripting the build invocation because it means you need to interpolate in the presence of
#   the whole option. It is better to make all options take an optional on/off or true/false
#   using the nargs='const' mechanism.
#

add_option('prefix',
    default='$BUILD_ROOT/install',
    help='installation prefix',
)

add_option('install-mode',
    choices=['legacy', 'hygienic'],
    default='legacy',
    help='select type of installation',
    nargs=1,
    type='choice',
)

add_option('nostrip',
    help='do not strip installed binaries',
    nargs=0,
)

add_option('build-dir',
    default='#build',
    help='build output directory',
)

add_option('release',
    help='release build',
    nargs=0,
)

add_option('lto',
    help='enable link time optimizations (experimental, except with MSVC)',
    nargs=0,
)

add_option('dynamic-windows',
    help='dynamically link on Windows',
    nargs=0,
)

add_option('endian',
    choices=['big', 'little', 'auto'],
    default='auto',
    help='endianness of target platform',
    nargs=1,
    type='choice',
)

add_option('disable-minimum-compiler-version-enforcement',
    help='allow use of unsupported older compilers (NEVER for production builds)',
    nargs=0,
)

add_option('ssl',
    help='Enable SSL',
    nargs=0
)

add_option('ssl-provider',
    choices=['auto', 'openssl', 'native'],
    default='auto',
    help='Select the SSL engine to use',
    nargs=1,
    type='choice',
)

add_option('mmapv1',
    choices=['auto', 'on', 'off'],
    const='on',
    default='auto',
    help='Enable MMapV1',
    nargs='?',
    type='choice',
)

add_option('wiredtiger',
    choices=['on', 'off'],
    const='on',
    default='on',
    help='Enable wiredtiger',
    nargs='?',
    type='choice',
)

add_option('inmemory',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable InMemory',
    nargs='?',
    type='choice',
)

add_option('mobile-se',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable Mobile Storage Engine',
    nargs='?',
    type='choice',
)

add_option('audit',
    help='Enable auditing',
    nargs=0,
)

add_option('hotbackup',
    help='Enable Hot Backup',
    nargs=0,
)

js_engine_choices = ['mozjs', 'none']
add_option('js-engine',
    choices=js_engine_choices,
    default=js_engine_choices[0],
    help='JavaScript scripting engine implementation',
    type='choice',
)

add_option('server-js',
    choices=['on', 'off'],
    default='on',
    help='Build mongod without JavaScript support',
    type='choice',
)

add_option('libc++',
    help='use libc++ (experimental, requires clang)',
    nargs=0,
)

add_option('use-glibcxx-debug',
    help='Enable the glibc++ debug implementations of the C++ standard libary',
    nargs=0,
)

add_option('noshell',
    help="don't build shell",
    nargs=0,
)

add_option('safeshell',
    help="don't let shell scripts run programs (still, don't run untrusted scripts)",
    nargs=0,
)

add_option('dbg',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable runtime debugging checks',
    nargs='?',
    type='choice',
)

add_option('separate-debug',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Produce separate debug files (only effective in --install-mode=hygienic)',
    nargs='?',
    type='choice',
)

add_option('spider-monkey-dbg',
    choices=['on', 'off'],
    const='on',
    default='off',
    help='Enable SpiderMonkey debug mode',
    nargs='?',
    type='choice',
)

add_option('opt',
    choices=['on', 'size', 'off'],
    const='on',
    help='Enable compile-time optimization',
    nargs='?',
    type='choice',
)

add_option('sanitize',
    help='enable selected sanitizers',
    metavar='san1,san2,...sanN',
)

add_option('llvm-symbolizer',
    default='llvm-symbolizer',
    help='name of (or path to) the LLVM symbolizer',
)

add_option('durableDefaultOn',
    help='have durable default to on',
    nargs=0,
)

add_option('allocator',
    choices=["auto", "system", "tcmalloc"],
    default="auto",
    help='allocator to use (use "auto" for best choice for current platform)',
    type='choice',
)

add_option('gdbserver',
    help='build in gdb server support',
    nargs=0,
)

add_option('gcov',
    help='compile with flags for gcov',
    nargs=0,
)

add_option('enable-free-mon',
    choices=["auto", "on", "off"],
    default="auto",
    help='Disable support for Free Monitoring to avoid HTTP client library dependencies',
    type='choice',
)

add_option('use-sasl-client',
    help='Support SASL authentication in the client library',
    nargs=0,
)

add_option('use-system-tcmalloc',
    help='use system version of tcmalloc library',
    nargs=0,
)

add_option('use-system-fmt',
    help='use system version of fmt library',
    nargs=0,
)

add_option('use-system-pcre',
    help='use system version of pcre library',
    nargs=0,
)

add_option('use-system-wiredtiger',
    help='use system version of wiredtiger library',
    nargs=0,
)

add_option('system-boost-lib-search-suffixes',
    help='Comma delimited sequence of boost library suffixes to search',
)

add_option('use-system-boost',
    help='use system version of boost libraries',
    nargs=0,
)

add_option('use-system-snappy',
    help='use system version of snappy library',
    nargs=0,
)

add_option('use-system-lz4',
    help='use system version of LZ4 library',
    nargs=0,
)

add_option('use-system-valgrind',
    help='use system version of valgrind library',
    nargs=0,
)

add_option('use-system-google-benchmark',
    help='use system version of Google benchmark library',
    nargs=0,
)

add_option('use-system-zlib',
    help='use system version of zlib library',
    nargs=0,
)

add_option('use-system-sqlite',
    help='use system version of sqlite library',
    nargs=0,
)

add_option('use-system-stemmer',
    help='use system version of stemmer',
    nargs=0)

add_option('use-system-yaml',
    help='use system version of yaml',
    nargs=0,
)

add_option('use-system-asio',
    help="use system version of ASIO",
    nargs=0,
)

add_option('use-system-icu',
    help="use system version of ICU",
    nargs=0,
)

add_option('use-system-intel_decimal128',
    help='use system version of intel decimal128',
    nargs=0,
)

add_option('use-system-mongo-c',
    choices=['on', 'off', 'auto'],
    const='on',
    default="auto",
    help="use system version of the mongo-c-driver (auto will use it if it's found)",
    nargs='?',
    type='choice',
)

add_option('use-system-all',
    help='use all system libraries',
    nargs=0,
)

add_option('use-new-tools',
    help='put new tools in the tarball',
    nargs=0,
)

add_option('build-mongoreplay',
    help='when building with --use-new-tools, build mongoreplay ( requires pcap dev )',
    nargs=1,
)

add_option('use-cpu-profiler',
    help='Link against the google-perftools profiler library',
    nargs=0,
)

add_option('build-fast-and-loose',
    choices=['on', 'off', 'auto'],
    const='on',
    default='auto',
    help='looser dependency checking',
    nargs='?',
    type='choice',
)

add_option('disable-warnings-as-errors',
    help="Don't add -Werror to compiler command line",
    nargs=0,
)

add_option('detect-odr-violations',
    help="Have the linker try to detect ODR violations, if supported",
    nargs=0,
)

add_option('variables-help',
    help='Print the help text for SCons variables',
    nargs=0,
)

add_option('osx-version-min',
    help='minimum OS X version to support',
)

win_version_min_choices = {
    'win7'    : ('0601', '0000'),
    'ws08r2'  : ('0601', '0000'),
    'win8'    : ('0602', '0000'),
    'win81'   : ('0603', '0000'),
}

add_option('win-version-min',
    choices=win_version_min_choices.keys(),
    default=None,
    help='minimum Windows version to support',
    type='choice',
)

add_option('cache',
    choices=["all", "nolinked"],
    const='all',
    help='Use an object cache rather than a per-build variant directory (experimental)',
    nargs='?',
)

add_option('cache-dir',
    default='$BUILD_ROOT/scons/cache',
    help='Specify the directory to use for caching objects if --cache is in use',
)

add_option("cxx-std",
    choices=["14"],
    default="14",
    help="Select the C++ langauge standard to build with",
)

def find_mongo_custom_variables():
    files = []
    for path in sys.path:
        probe = os.path.join(path, 'mongo_custom_variables.py')
        if os.path.isfile(probe):
            files.append(probe)
    return files

add_option('variables-files',
    default=find_mongo_custom_variables(),
    help="Specify variables files to load",
)

link_model_choices = ['auto', 'object', 'static', 'dynamic', 'dynamic-strict', 'dynamic-sdk']
add_option('link-model',
    choices=link_model_choices,
    default='auto',
    help='Select the linking model for the project',
    type='choice'
)

variable_parse_mode_choices=['auto', 'posix', 'other']
add_option('variable-parse-mode',
    choices=variable_parse_mode_choices,
    default=variable_parse_mode_choices[0],
    help='Select which parsing mode is used to interpret command line variables',
    type='choice',
)

add_option('modules',
    help="Comma-separated list of modules to build. Empty means none. Default is all.",
)

=== buildscripts/requirements.txt ===
# Jira integration
cryptography >= 2.0.0
jira == 1.0.10
pyjwt == 1.5.3
# Other
pyyaml == 5.1
unittest-xml-reporting == 2.1.0
# Linters
yapf == 0.21.0
mypy == 0.580 ; python_version > "3"
# typing in Python 2 for mypy
typing == 3.6.1; python_version < "3"
pylint == 1.8.3
pydocstyle == 2.1.1
# resmoke.py
-r resmokelib/requirements.txt
# generate_error_codes.py
cheetah3 == 3.0.0; python_version < "3"
jinja2 == 2.10
mock == 2.0.0
click ~= 7.0
evergreen.py == 0.3.9
shrub.py == 0.2.0
structlog ~= 19.1.0
psutil == 5.4.3

=== aws-sdk-cpp/android-unified-tests/CMakeLists.txt ===
project(android-unified-tests)

# Headers are included in the source so that they show up in Visual Studio.
# They are included elsewhere for consistency.
file(GLOB CORE_AWS_CONFIG_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/aws/config/*.cpp")
file(GLOB CORE_AWS_AUTH_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/aws/auth/*.cpp")
file(GLOB CORE_AWS_CLIENT_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/aws/client/*.cpp")
file(GLOB CORE_HTTP_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/http/*.cpp")
file(GLOB CORE_UTILS_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/utils/*.cpp")
file(GLOB CORE_UTILS_JSON_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/utils/json/*.cpp")
file(GLOB CORE_UTILS_LOGGING_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/utils/logging/*.cpp")
file(GLOB CORE_UTILS_MEMORY_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/utils/memory/*.cpp")
file(GLOB CORE_UTILS_STREAM_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/utils/stream/*.cpp")
file(GLOB CORE_UTILS_CRYPTO_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/utils/crypto/*.cpp")
file(GLOB CORE_UTILS_RATE_LIMITER_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/utils/ratelimiter/*.cpp")
file(GLOB CORE_UTILS_XML_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core-tests/utils/xml/*.cpp")
file(GLOB DYNAMODB_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-dynamodb-integration-tests/TableOperationTest.cpp")
file(GLOB SQS_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-sqs-integration-tests/QueueOperationTest.cpp")
file(GLOB S3_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-s3-integration-tests/BucketAndObjectOperationTest.cpp")
file(GLOB LAMBDA_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-lambda-integration-tests/FunctionTest.cpp")
file(GLOB COGNITO_IDENTITY_IDENTITY_POOL_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-cognitoidentity-integration-tests/IdentityPoolOperationTest.cpp")
file(GLOB TRANSFER_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-transfer-tests/TransferTests.cpp")
file(GLOB IDENTITY_MANAGEMENT_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-identity-management-tests/auth/*.cpp")
file(GLOB ENCRYPTION_TESTS_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-s3-encryption-tests/CryptoModulesTest.cpp"
                               "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-s3-encryption-tests/DataHandlersTest.cpp"
                               "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-s3-encryption-tests/EncryptionMaterialsTest.cpp")
file(GLOB ENCRYPTION_INTEGRATION_TESTS_SRC "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-s3-encryption-integration-tests/LiveClientTests.cpp")
file(GLOB TEST_SRC "${CMAKE_CURRENT_SOURCE_DIR}/RunTests.cpp")

# commented-out tests are not working on android yet due to file permissions/location/management issues
file(GLOB AWS_UNIFIED_INTEGRATION_TESTS_SRC 
    ${CORE_AWS_CONFIG_SRC}
    ${CORE_AWS_AUTH_SRC}
    ${CORE_AWS_CLIENT_SRC}
    ${CORE_HTTP_SRC}
    ${CORE_UTILS_SRC}
    ${CORE_UTILS_CRYPTO_SRC}
    ${CORE_UTILS_JSON_SRC}
    ${CORE_UTILS_LOGGING_SRC}
    ${CORE_UTILS_MEMORY_SRC}
    ${CORE_UTILS_RATE_LIMITER_SRC}
    ${CORE_UTILS_STREAM_SRC}
    ${CORE_UTILS_XML_SRC}
    ${DYNAMODB_SRC}
    ${SQS_SRC}
    ${S3_SRC}
    ${LAMBDA_SRC}
    ${COGNITO_IDENTITY_IDENTITY_POOL_SRC}
    ${TRANSFER_SRC}
    ${IDENTITY_MANAGEMENT_SRC}
    ${ENCRYPTION_TESTS_SRC}
    ${ENCRYPTION_INTEGRATION_TESTS_SRC}
    ${TEST_SRC}
)

set(AWS_UNIFIED_INTEGRATION_TEST_APPLICATION_INCLUDES
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-core/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-dynamodb/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-sqs/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-s3/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-s3-encryption/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-lambda/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-kinesis/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-cognito-identity/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-transfer/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-logging/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-iam/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-sts/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-kms/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-identity-management/include/"
    "${AWS_NATIVE_SDK_ROOT}/aws-cpp-sdk-access-management/include/"
    "${AWS_NATIVE_SDK_ROOT}/testing-resources/include/"
)

include_directories(${AWS_UNIFIED_INTEGRATION_TEST_APPLICATION_INCLUDES})

if(PLATFORM_ANDROID)
  add_definitions(-DRESOURCES_DIR="resources")
else()
  add_definitions(-DRESOURCES_DIR="${CMAKE_CURRENT_SOURCE_DIR}/resources")
endif()


SET(LIBTYPE SHARED)
SET(SUFFIX so)

add_library(android-unified-tests ${LIBTYPE} ${AWS_UNIFIED_INTEGRATION_TESTS_SRC})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

target_link_libraries(android-unified-tests 
                      aws-cpp-sdk-dynamodb 
                      aws-cpp-sdk-sqs
                      aws-cpp-sdk-s3-encryption
                      aws-cpp-sdk-s3
                      aws-cpp-sdk-lambda
                      aws-cpp-sdk-kinesis
                      aws-cpp-sdk-cognito-identity
                      aws-cpp-sdk-transfer
                      aws-cpp-sdk-iam
                      aws-cpp-sdk-identity-management
                      aws-cpp-sdk-access-management
                      testing-resources
                      aws-cpp-sdk-core
                      ${CLIENT_LIBS}
                      ${PLATFORM_DEP_LIBS})

=== aws-sdk-cpp/aws-cpp-sdk-access-management/CMakeLists.txt ===
add_project(aws-cpp-sdk-access-management 
    "C++ interface for Amazon Access Management"
    aws-cpp-sdk-cognito-identity 
    aws-cpp-sdk-iam
    aws-cpp-sdk-core)

file(GLOB AWS_ACCESS_MANAGEMENT_HEADERS
    "include/aws/access-management/*.h"
)

file(GLOB AWS_ACCESS_MANAGEMENT_SOURCE
     "source/*.cpp"
 )

if(MSVC)
    source_group("Header Files\\aws\\access-management" FILES ${AWS_ACCESS_MANAGEMENT_HEADERS})

    source_group("Source Files" FILES ${AWS_ACCESS_MANAGEMENT_SOURCE})
endif()

file(GLOB ACCESS_MANAGEMENT_SRC
  ${AWS_ACCESS_MANAGEMENT_HEADERS}
  ${AWS_ACCESS_MANAGEMENT_SOURCE}
)

set(ACCESS_MANAGEMENT_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
  )

include_directories(${ACCESS_MANAGEMENT_INCLUDES})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    add_definitions("-DAWS_ACCESS_MANAGEMENT_EXPORTS")
endif()

add_library(${PROJECT_NAME} ${LIBTYPE} ${ACCESS_MANAGEMENT_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

target_include_directories(${PROJECT_NAME} PUBLIC
        $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
        $<INSTALL_INTERFACE:include>)
target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})

setup_install()

install (FILES ${AWS_ACCESS_MANAGEMENT_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/access-management)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-acm-pca/CMakeLists.txt ===
add_project(aws-cpp-sdk-acm-pca "C++ SDK for the AWS acm-pca service" aws-cpp-sdk-core)

file(GLOB AWS_ACM-PCA_HEADERS
    "include/aws/acm-pca/*.h"
)

file(GLOB AWS_ACM-PCA_MODEL_HEADERS
    "include/aws/acm-pca/model/*.h"
)

file(GLOB AWS_ACM-PCA_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_ACM-PCA_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB ACM-PCA_UNIFIED_HEADERS
    ${AWS_ACM-PCA_HEADERS}
    ${AWS_ACM-PCA_MODEL_HEADERS}
)

file(GLOB ACM-PCA_UNITY_SRC
    ${AWS_ACM-PCA_SOURCE}
    ${AWS_ACM-PCA_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("ACM-PCA" ACM-PCA_UNITY_SRC)
endif()

file(GLOB ACM-PCA_SRC
    ${ACM-PCA_UNIFIED_HEADERS}
    ${ACM-PCA_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\acm-pca" FILES ${AWS_ACM-PCA_HEADERS})
        source_group("Header Files\\aws\\acm-pca\\model" FILES ${AWS_ACM-PCA_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_ACM-PCA_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_ACM-PCA_MODEL_SOURCE})
    endif(MSVC)
endif()

set(ACM-PCA_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${ACM-PCA_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_ACMPCA_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_ACM-PCA_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/acm-pca)
install (FILES ${AWS_ACM-PCA_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/acm-pca/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-apigateway/CMakeLists.txt ===
add_project(aws-cpp-sdk-apigateway "C++ SDK for the AWS apigateway service" aws-cpp-sdk-core)

file(GLOB AWS_APIGATEWAY_HEADERS
    "include/aws/apigateway/*.h"
)

file(GLOB AWS_APIGATEWAY_MODEL_HEADERS
    "include/aws/apigateway/model/*.h"
)

file(GLOB AWS_APIGATEWAY_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_APIGATEWAY_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB APIGATEWAY_UNIFIED_HEADERS
    ${AWS_APIGATEWAY_HEADERS}
    ${AWS_APIGATEWAY_MODEL_HEADERS}
)

file(GLOB APIGATEWAY_UNITY_SRC
    ${AWS_APIGATEWAY_SOURCE}
    ${AWS_APIGATEWAY_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("APIGATEWAY" APIGATEWAY_UNITY_SRC)
endif()

file(GLOB APIGATEWAY_SRC
    ${APIGATEWAY_UNIFIED_HEADERS}
    ${APIGATEWAY_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\apigateway" FILES ${AWS_APIGATEWAY_HEADERS})
        source_group("Header Files\\aws\\apigateway\\model" FILES ${AWS_APIGATEWAY_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_APIGATEWAY_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_APIGATEWAY_MODEL_SOURCE})
    endif(MSVC)
endif()

set(APIGATEWAY_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${APIGATEWAY_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_APIGATEWAY_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_APIGATEWAY_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/apigateway)
install (FILES ${AWS_APIGATEWAY_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/apigateway/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-application-autoscaling/CMakeLists.txt ===
add_project(aws-cpp-sdk-application-autoscaling "C++ SDK for the AWS application-autoscaling service" aws-cpp-sdk-core)

file(GLOB AWS_APPLICATION-AUTOSCALING_HEADERS
    "include/aws/application-autoscaling/*.h"
)

file(GLOB AWS_APPLICATION-AUTOSCALING_MODEL_HEADERS
    "include/aws/application-autoscaling/model/*.h"
)

file(GLOB AWS_APPLICATION-AUTOSCALING_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_APPLICATION-AUTOSCALING_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB APPLICATION-AUTOSCALING_UNIFIED_HEADERS
    ${AWS_APPLICATION-AUTOSCALING_HEADERS}
    ${AWS_APPLICATION-AUTOSCALING_MODEL_HEADERS}
)

file(GLOB APPLICATION-AUTOSCALING_UNITY_SRC
    ${AWS_APPLICATION-AUTOSCALING_SOURCE}
    ${AWS_APPLICATION-AUTOSCALING_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("APPLICATION-AUTOSCALING" APPLICATION-AUTOSCALING_UNITY_SRC)
endif()

file(GLOB APPLICATION-AUTOSCALING_SRC
    ${APPLICATION-AUTOSCALING_UNIFIED_HEADERS}
    ${APPLICATION-AUTOSCALING_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\application-autoscaling" FILES ${AWS_APPLICATION-AUTOSCALING_HEADERS})
        source_group("Header Files\\aws\\application-autoscaling\\model" FILES ${AWS_APPLICATION-AUTOSCALING_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_APPLICATION-AUTOSCALING_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_APPLICATION-AUTOSCALING_MODEL_SOURCE})
    endif(MSVC)
endif()

set(APPLICATION-AUTOSCALING_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${APPLICATION-AUTOSCALING_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_APPLICATIONAUTOSCALING_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_APPLICATION-AUTOSCALING_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/application-autoscaling)
install (FILES ${AWS_APPLICATION-AUTOSCALING_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/application-autoscaling/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-appmesh/CMakeLists.txt ===
add_project(aws-cpp-sdk-appmesh "C++ SDK for the AWS appmesh service" aws-cpp-sdk-core)

file(GLOB AWS_APPMESH_HEADERS
    "include/aws/appmesh/*.h"
)

file(GLOB AWS_APPMESH_MODEL_HEADERS
    "include/aws/appmesh/model/*.h"
)

file(GLOB AWS_APPMESH_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_APPMESH_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB APPMESH_UNIFIED_HEADERS
    ${AWS_APPMESH_HEADERS}
    ${AWS_APPMESH_MODEL_HEADERS}
)

file(GLOB APPMESH_UNITY_SRC
    ${AWS_APPMESH_SOURCE}
    ${AWS_APPMESH_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("APPMESH" APPMESH_UNITY_SRC)
endif()

file(GLOB APPMESH_SRC
    ${APPMESH_UNIFIED_HEADERS}
    ${APPMESH_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\appmesh" FILES ${AWS_APPMESH_HEADERS})
        source_group("Header Files\\aws\\appmesh\\model" FILES ${AWS_APPMESH_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_APPMESH_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_APPMESH_MODEL_SOURCE})
    endif(MSVC)
endif()

set(APPMESH_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${APPMESH_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_APPMESH_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_APPMESH_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/appmesh)
install (FILES ${AWS_APPMESH_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/appmesh/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-appsync/CMakeLists.txt ===
add_project(aws-cpp-sdk-appsync "C++ SDK for the AWS appsync service" aws-cpp-sdk-core)

file(GLOB AWS_APPSYNC_HEADERS
    "include/aws/appsync/*.h"
)

file(GLOB AWS_APPSYNC_MODEL_HEADERS
    "include/aws/appsync/model/*.h"
)

file(GLOB AWS_APPSYNC_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_APPSYNC_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB APPSYNC_UNIFIED_HEADERS
    ${AWS_APPSYNC_HEADERS}
    ${AWS_APPSYNC_MODEL_HEADERS}
)

file(GLOB APPSYNC_UNITY_SRC
    ${AWS_APPSYNC_SOURCE}
    ${AWS_APPSYNC_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("APPSYNC" APPSYNC_UNITY_SRC)
endif()

file(GLOB APPSYNC_SRC
    ${APPSYNC_UNIFIED_HEADERS}
    ${APPSYNC_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\appsync" FILES ${AWS_APPSYNC_HEADERS})
        source_group("Header Files\\aws\\appsync\\model" FILES ${AWS_APPSYNC_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_APPSYNC_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_APPSYNC_MODEL_SOURCE})
    endif(MSVC)
endif()

set(APPSYNC_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${APPSYNC_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_APPSYNC_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_APPSYNC_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/appsync)
install (FILES ${AWS_APPSYNC_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/appsync/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-autoscaling/CMakeLists.txt ===
add_project(aws-cpp-sdk-autoscaling "C++ SDK for the AWS autoscaling service" aws-cpp-sdk-core)

file(GLOB AWS_AUTOSCALING_HEADERS
    "include/aws/autoscaling/*.h"
)

file(GLOB AWS_AUTOSCALING_MODEL_HEADERS
    "include/aws/autoscaling/model/*.h"
)

file(GLOB AWS_AUTOSCALING_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_AUTOSCALING_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB AUTOSCALING_UNIFIED_HEADERS
    ${AWS_AUTOSCALING_HEADERS}
    ${AWS_AUTOSCALING_MODEL_HEADERS}
)

file(GLOB AUTOSCALING_UNITY_SRC
    ${AWS_AUTOSCALING_SOURCE}
    ${AWS_AUTOSCALING_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("AUTOSCALING" AUTOSCALING_UNITY_SRC)
endif()

file(GLOB AUTOSCALING_SRC
    ${AUTOSCALING_UNIFIED_HEADERS}
    ${AUTOSCALING_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\autoscaling" FILES ${AWS_AUTOSCALING_HEADERS})
        source_group("Header Files\\aws\\autoscaling\\model" FILES ${AWS_AUTOSCALING_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_AUTOSCALING_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_AUTOSCALING_MODEL_SOURCE})
    endif(MSVC)
endif()

set(AUTOSCALING_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${AUTOSCALING_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_AUTOSCALING_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_AUTOSCALING_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/autoscaling)
install (FILES ${AWS_AUTOSCALING_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/autoscaling/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-awstransfer/CMakeLists.txt ===
add_project(aws-cpp-sdk-awstransfer "C++ SDK for the AWS awstransfer service" aws-cpp-sdk-core)

file(GLOB AWS_AWSTRANSFER_HEADERS
    "include/aws/awstransfer/*.h"
)

file(GLOB AWS_AWSTRANSFER_MODEL_HEADERS
    "include/aws/awstransfer/model/*.h"
)

file(GLOB AWS_AWSTRANSFER_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_AWSTRANSFER_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB AWSTRANSFER_UNIFIED_HEADERS
    ${AWS_AWSTRANSFER_HEADERS}
    ${AWS_AWSTRANSFER_MODEL_HEADERS}
)

file(GLOB AWSTRANSFER_UNITY_SRC
    ${AWS_AWSTRANSFER_SOURCE}
    ${AWS_AWSTRANSFER_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("AWSTRANSFER" AWSTRANSFER_UNITY_SRC)
endif()

file(GLOB AWSTRANSFER_SRC
    ${AWSTRANSFER_UNIFIED_HEADERS}
    ${AWSTRANSFER_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\awstransfer" FILES ${AWS_AWSTRANSFER_HEADERS})
        source_group("Header Files\\aws\\awstransfer\\model" FILES ${AWS_AWSTRANSFER_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_AWSTRANSFER_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_AWSTRANSFER_MODEL_SOURCE})
    endif(MSVC)
endif()

set(AWSTRANSFER_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${AWSTRANSFER_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_TRANSFER_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_AWSTRANSFER_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/awstransfer)
install (FILES ${AWS_AWSTRANSFER_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/awstransfer/model)

do_packaging()

=== aws-sdk-cpp/aws-cpp-sdk-budgets/CMakeLists.txt ===
add_project(aws-cpp-sdk-budgets "C++ SDK for the AWS budgets service" aws-cpp-sdk-core)

file(GLOB AWS_BUDGETS_HEADERS
    "include/aws/budgets/*.h"
)

file(GLOB AWS_BUDGETS_MODEL_HEADERS
    "include/aws/budgets/model/*.h"
)

file(GLOB AWS_BUDGETS_SOURCE
    "source/*.cpp"
)

file(GLOB AWS_BUDGETS_MODEL_SOURCE
    "source/model/*.cpp"
)

file(GLOB BUDGETS_UNIFIED_HEADERS
    ${AWS_BUDGETS_HEADERS}
    ${AWS_BUDGETS_MODEL_HEADERS}
)

file(GLOB BUDGETS_UNITY_SRC
    ${AWS_BUDGETS_SOURCE}
    ${AWS_BUDGETS_MODEL_SOURCE}
)

if(ENABLE_UNITY_BUILD)
    enable_unity_build("BUDGETS" BUDGETS_UNITY_SRC)
endif()

file(GLOB BUDGETS_SRC
    ${BUDGETS_UNIFIED_HEADERS}
    ${BUDGETS_UNITY_SRC}
)

if(WIN32)
    #if we are compiling for visual studio, create a sane directory tree.
    if(MSVC)
        source_group("Header Files\\aws\\budgets" FILES ${AWS_BUDGETS_HEADERS})
        source_group("Header Files\\aws\\budgets\\model" FILES ${AWS_BUDGETS_MODEL_HEADERS})
        source_group("Source Files" FILES ${AWS_BUDGETS_SOURCE})
        source_group("Source Files\\model" FILES ${AWS_BUDGETS_MODEL_SOURCE})
    endif(MSVC)
endif()

set(BUDGETS_INCLUDES
    "${CMAKE_CURRENT_SOURCE_DIR}/include/"
)

add_library(${PROJECT_NAME} ${LIBTYPE} ${BUDGETS_SRC})
add_library(AWS::${PROJECT_NAME} ALIAS ${PROJECT_NAME})

set_compiler_flags(${PROJECT_NAME})
set_compiler_warnings(${PROJECT_NAME})

if(USE_WINDOWS_DLL_SEMANTICS AND BUILD_SHARED_LIBS)
    target_compile_definitions(${PROJECT_NAME} PRIVATE "AWS_BUDGETS_EXPORTS")
endif()

target_include_directories(${PROJECT_NAME} PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>)

target_link_libraries(${PROJECT_NAME} PRIVATE ${PLATFORM_DEP_LIBS} ${PROJECT_LIBS})


setup_install()

install (FILES ${AWS_BUDGETS_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/budgets)
install (FILES ${AWS_BUDGETS_MODEL_HEADERS} DESTINATION ${INCLUDE_DIRECTORY}/aws/budgets/model)

do_packaging()

=== debian/changelog ===
percona-server-mongodb (4.0.18-11) unstable; urgency=medium

  * Update to new Percona Server for MongoDB version 4.0.18

 -- ubuntu-cloud-user <evgeniy.Patlan@percona.com>  Mon, 27 Apr 2020 13:37:33 +0000

=== debian/control ===
Source: percona-server-mongodb
Maintainer: Percona Development Team <opensource-dev@percona.com>
Section: database
Priority: extra
Standards-Version: 3.9.2
Build-Depends: debhelper (>= 9), debconf, libbz2-dev, libsnappy-dev, pkg-config, zlib1g-dev, libzlcore-dev, dh-systemd, libsasl2-dev, g++, cmake, libldap2-dev


Package: percona-server-mongodb
Architecture: any
Breaks: percona-server-mongodb (< 4.0.0), percona-server-mongodb-32, percona-server-mongodb-34, percona-server-mongodb-36, mongodb-org, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-mongos (= ${source:Version}), percona-server-mongodb-shell (= ${source:Version}), percona-server-mongodb-server (= ${source:Version}), percona-server-mongodb-tools (= ${source:Version})
Description: This metapackage will install the mongo shell, import/export tools, other client utilities, server software, default configuration, and init.d scripts.
 This package contains high-performance MongoDB replacement from Percona - Percona Server for MongoDB.
 Percona Server for MongoDB is built for scalability, performance and high availability, scaling from single server deployments to large, complex multi-site architectures.
 By leveraging in-memory computing, Percona Server for MongoDB provides high performance for both reads and writes.
 Percona Server for MongoDB's native replication and automated failover enable enterprise-grade reliability and operational flexibility.
 .
 Percona Server for MongoDB is an open-source database used by companies of all sizes, across all industries and for a wide variety of applications.
 It is an agile database that allows schemas to change quickly as applications evolve, while still providing the functionality developers expect from traditional databases,
 such as secondary indexes, a full query language and strict consistency.
 .
 Percona Server for MongoDB has a rich client ecosystem including hadoop integration, officially supported drivers for 10 programming languages and environments, as well as 40 drivers supported by the user community.
 .
 Percona Server for MongoDB features:
 * JSON Data Model with Dynamic Schemas
 * Auto-Sharding for Horizontal Scalability
 * Built-In Replication for High Availability
 * Rich Secondary Indexes, including geospatial
 * TTL indexes
 * Text Search
 * Aggregation Framework & Native MapReduce

Package: percona-server-mongodb-mongos
Architecture: any
Breaks: percona-server-mongodb-mongos (< 4.0.0), percona-server-mongodb-32-mongos, percona-server-mongodb-34-mongos, percona-server-mongodb-36-mongos, mongodb-org-mongos, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains mongos - the Percona Server for MongoDB sharded cluster query router
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-server
Architecture: any
Breaks: percona-server-mongodb-server (< 4.0.0), percona-server-mongodb-32-server, percona-server-mongodb-34-server, percona-server-mongodb-36-server, mongodb-org-server, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}, percona-server-mongodb-shell
Description: This package contains the Percona Server for MongoDB server software, default configuration files and init.d scripts
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-shell
Architecture: any
Breaks: percona-server-mongodb-shell (< 4.0.0), percona-server-mongodb-32-shell, percona-server-mongodb-34-shell, percona-server-mongodb-36-shell, mongodb-org-shell, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: This package contains the Percona Server for MongoDB shell
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-tools
Architecture: any
Breaks: percona-server-mongodb-tools (< 4.0.0), percona-server-mongodb-32-tools, percona-server-mongodb-34-tools, percona-server-mongodb-36-tools, mongodb-org-tools, mongo-10gen, mongo-10gen-enterprise, mongo-10gen-enterprise-server, mongo-10gen-server, mongo-10gen-unstable, mongo-10gen-unstable-enterprise, mongo-10gen-unstable-enterprise-mongos, mongo-10gen-unstable-enterprise-server, mongo-10gen-unstable-enterprise-shell, mongo-10gen-unstable-enterprise-tools, mongo-10gen-unstable-mongos, mongo-10gen-unstable-server, mongo-10gen-unstable-shell, mongo-10gen-unstable-tools, mongo18-10gen, mongo18-10gen-server, mongo20-10gen, mongo20-10gen-server, mongodb, mongodb-server, mongodb-dev, mongodb-clients, mongodb-10gen, mongodb-10gen-enterprise, mongodb-10gen-unstable, mongodb-10gen-unstable-enterprise, mongodb-10gen-unstable-enterprise-mongos, mongodb-10gen-unstable-enterprise-server, mongodb-10gen-unstable-enterprise-shell, mongodb-10gen-unstable-enterprise-tools, mongodb-10gen-unstable-mongos, mongodb-10gen-unstable-server, mongodb-10gen-unstable-shell, mongodb-10gen-unstable-tools, mongodb-enterprise, mongodb-enterprise-mongos, mongodb-enterprise-server, mongodb-enterprise-shell, mongodb-enterprise-tools, mongodb-nightly, mongodb-org, mongodb-org-mongos, mongodb-org-server, mongodb-org-shell, mongodb-org-tools, mongodb-enterprise-unstable, mongodb-enterprise-unstable-mongos, mongodb-enterprise-unstable-server, mongodb-enterprise-unstable-shell, mongodb-enterprise-unstable-tools, mongodb-stable, mongodb18-10gen, mongodb20-10gen
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Mongo tools for high-performance MongoDB fork from Percona
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

Package: percona-server-mongodb-dbg
Architecture: any
Breaks: percona-server-mongodb-dbg(< 4.0.0), percona-server-mongodb-32-dbg, percona-server-mongodb-34-dbg, percona-server-mongodb-36-dbg
Section: debug
Depends: percona-server-mongodb (= ${binary:Version}), ${misc:Depends}
Description: Debugging package for Percona Server for MongoDB
 Percona Server for MongoDB is a drop-in high-performance replacement for MongoDB from Percona

=== debian/rules ===
#!/usr/bin/make -f
#
export DH_VERBOSE=1
export DEB_BUILD_HARDENING=1
export NJOBS=$(shell grep -c processor /proc/cpuinfo)
export PSM_TARGETS=mongod mongos mongo perconadecrypt
export PSMSRC=$(CURDIR)
export MONGOTOOLS=bsondump mongostat mongofiles mongoexport mongoimport mongorestore mongodump mongotop mongoreplay
export INSTALLDIR=/usr/local
export TOOLS_TAGS=ssl sasl
export PORTABLE=1
export USE_SSE=1
export PATH := /usr/local/go/bin:$(PATH)
CC = /usr/local/gcc-5.4.0/bin/gcc-5.4
CXX = /usr/local/gcc-5.4.0/bin/g++-5.4
#
%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -fr $(PSMSRC)/bin
	#rm -fr $(INSTALLDIR)
	buildscripts/scons.py CC=$(CC) CXX=$(CXX) -C $(PSMSRC) -c --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt -j$(NJOBS) --use-sasl-client CPPPATH=$(INSTALLDIR)/include \
	LIBPATH=$(INSTALLDIR)/lib LINKFLAGS="$(LINKFLAGS)" --wiredtiger --inmemory --hotbackup $(PSM_TARGETS) || exit $?
	rm -fr build
	find $(PSMSRC) -name '*.pyc' -delete

# Finally PSfMDB
percona-server-mongodb:
	buildscripts/scons.py CC=${CC} CXX=${CXX} --disable-warnings-as-errors --audit --release --disable-warnings-as-errors  --ssl --opt=on -j$(NJOBS) \
	--use-sasl-client --wiredtiger --inmemory --hotbackup \
	CPPPATH=${INSTALLDIR}/include LIBPATH=${INSTALLDIR}/lib LINKFLAGS="${LINKFLAGS}" ${PSM_TARGETS} || exit $?

compile-mongo-tools:
	mkdir $(PSMSRC)/bin || true;
	mkdir -p $(PSMSRC)/build_tools/src/github.com/mongodb/mongo-tools;
	cp -r $(PSMSRC)/mongo-tools/* $(PSMSRC)/build_tools/src/github.com/mongodb/mongo-tools;
	#mv $(PSMSRC)/build_tools $(PSMSRC)/mongo-tools/;
	cp -r $(PSMSRC)/build_tools $(PSMSRC)/mongo-tools/;
	cd $(PSMSRC)/mongo-tools/build_tools/src/github.com/mongodb/mongo-tools; \
	export GOROOT="/usr/local/go/"; \
	export GOPATH=$(PWD)/; \
	export PATH="/usr/local/go/bin:$(PATH):$(GOPATH)"; \
	export GOBINPATH="/usr/local/go/bin"; \
	. ./set_tools_revision.sh; \
	. ./set_goenv.sh; \
	mkdir -p bin; \
	bash -x ./build.sh ${TOOLS_TAGS};
	cp -av $(PSMSRC)/mongo-tools/build_tools/src/github.com/mongodb/mongo-tools/bin/* $(PSMSRC)/bin; \
	cd $(PSMSRC)/mongo-tools;

build: percona-server-mongodb compile-mongo-tools

override_dh_auto_install:
	dh_auto_install
	cp -av mongos debian/percona-server-mongodb-mongos/usr/bin
	cp -av mongo debian/percona-server-mongodb-shell/usr/bin
	cp -av mongod debian/percona-server-mongodb-server/usr/bin
	cp -av perconadecrypt debian/percona-server-mongodb-server/usr/bin
	cp -av debian/percona-server-mongodb-helper.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/percona-server-mongodb-enable-auth.sh debian/percona-server-mongodb-server/usr/bin
	cp -av debian/mongod.conf debian/percona-server-mongodb-server/etc/mongod.conf
	cp -av $(PSMSRC)/bin/* debian/percona-server-mongodb-tools/usr/bin

override_dh_strip:
	dh_strip -a --dbg-package=percona-server-mongodb-dbg

override_dh_installinit:
	dh_installinit -a --name=mongod

override_dh_systemd_enable:
	dh_systemd_enable --name=mongod

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade
